* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
}

body {
  max-width: 1440px;
  margin: 0 auto;
  font-family: "Barlow", sans-serif;
  font-size: 18px;
  overflow-x: hidden;
}

.hamburger {
  display: none;
}
#mobilemenu {
  display: none;
}

#header {
  background-image: url(./images/desktop/image-header.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  height: 80vh;
  align-items: center;
  gap: 10%;
  max-width: 100vw;
}
#navbar {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 15%;
  background-color: transparent;
  justify-content: space-between;
  align-items: center;
}

.header-logo {
  width: 100%;
  padding-left: 50px;
  justify-self: center;
}
.navlist {
  list-style: none;
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 50px;
  justify-content: flex-end;
  align-items: center;
  padding: 20px 50px 20px 0;
}
.navitem a {
  text-decoration: none;
  color: white;
}

#contact a {
  background-color: white;
  color: black;
  border-radius: 30px;
  padding: 10px 24px;
  font-size: 20px;
  font-weight: 600;
}
#contact a:hover {
  background-color: rgba(255, 255, 255, 0.274);
  color: white;
}

.intro {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  color: white;
  height: 100%;
}

#headertext {
  font-family: "Fraunces";
  font-weight: 900px;
  font-size: 3rem;
  letter-spacing: 10px;
  text-transform: uppercase;
}
#arrowdown {
  margin-top: 60px;
}

#main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  max-width: 1440px;
  margin: 0 auto;
}

.sectionheader {
  color: hsl(212, 27%, 19%);
  font-family: "Fraunces";
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: -2px;
  line-height: 1;
  margin-bottom: 30px;
}
.sectioncontent {
  color: hsl(213, 9%, 39%);
  font-weight: 700;
  margin-bottom: 50px;
  line-height: 1.6;
}

/* Section 1 */

.section1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-auto-flow: row;
  justify-items: center;
  align-items: center;
  max-width: 1440px;
}
#img1,
#img2 {
  background-color: aquamarine;
  width: 100%;
  height: 720px;
}
#img1 {
  background-image: url(./images/desktop/image-transform.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
#img2 {
  background-image: url(./images/desktop/image-stand-out.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

#img1-text,
#img2-text {
  width: 70%;
  padding: 50px 0;
}

.learn-more-link {
  color: black;
  text-decoration: none;
  font-family: "Fraunces";
  font-weight: 700;
  font-size: 20px;
  padding: 0 10px;
}
#img1-text a:hover {
  box-shadow: inset 0 -7px 0 hsl(51, 100%, 49%);
}
#img2-text a:hover {
  box-shadow: inset 0 -7px 0 hsl(7, 99%, 70%);
}
#img1-text a {
  box-shadow: inset 0 -7px 0 hsla(51, 100%, 49%, 0.301);
  border-radius: 0 0 5px 5px;
}
#img2-text a {
  box-shadow: inset 0 -7px 0 hsla(7, 99%, 70%, 0.404);
  border-radius: 0 0 5px 5px;
}

/* Section 2 */

.section2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-auto-flow: row;
  text-align: center;
  max-width: 1440px;
  /* max-height: 600px; */
  width: 100vw;
  overflow: hidden;
}

#graphic-design {
  color: hsl(167, 40%, 24%);
  background-image: url(./images/desktop/image-graphic-design.jpg);
}
#photography {
  color: hsl(198, 62%, 26%);
  background-image: url(./images/desktop/image-photography.jpg);
}

#photography,
#graphic-design {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  height: 600px;
}

#photography h2,
#graphic-design h2 {
  padding: 400px 0 0 0;
  font-size: 2rem;
}
#photography p,
#graphic-design p {
  width: 50%;
  height: 30%;
  font-size: 0.9rem;
  padding-bottom: 5%;
  text-align: center;
}

/* Section 3 */

.section3 {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-items: center;
  align-items: center;
  /* height: 700px; */
  margin-bottom: 100px;
}
.section3 .sectionheader {
  margin: 100px 0;
  color: hsl(210, 4%, 67%);
  letter-spacing: 5px;
  text-align: center;
}
.client {
  display: flex;
  flex-direction: row;
  align-items: center;
  /* height: 500px; */
}
.client.a,
.client.b,
.client.c {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  text-align: center;
  width: 100%;
  height: 100%;
  padding: 0 20px;
}
.client-img img {
  width: 80px;
  border-radius: 50%;
}

.comments {
  color: hsl(213, 9%, 39%);
  height: 100px;
}

.client-info {
  text-align: center;
}
.name {
  font-family: "Fraunces";
  font-weight: 900;
  color: hsl(212, 27%, 19%);
}
.designation {
  color: hsl(232, 10%, 55%);
  font-size: 00.9rem;
  font-weight: 600;
}

/* Section 4 */

.img-div {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  /* overflow: hidden; */
  /* max-width: inherit; */
}
.section4 img {
  width: 25%;
}

/* Footer */

#footer {
  background-color: rgba(117, 199, 183, 0.753);
  color: hsl(168, 34%, 41%);
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  align-content: center;
  justify-items: center;
  height: 300px;
  max-width: 1440px;
  margin: 0 auto;
}
.footer-logo {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding-right: 10px;
}
#links-list {
  list-style: none;
  display: flex;
  justify-content: space-between;
  gap: 40px;
}
#links-list a {
  color: hsl(168, 34%, 41%);
  text-decoration: none;
  font-weight: 600;
}
#links-list a:hover {
  color: #ffffff;
}
#social {
  display: flex;
  gap: 20px;
}
#social img:hover {
  filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(327deg)
    brightness(200%) contrast(101%);
}

@media (max-width: 690px) {
  #header {
    background-image: url(./images/mobile/image-header.jpg);
  }
  .navlist {
    display: none;
  }
  .header-logo {
    padding-left: 20px;
  }
  #arrowdown {
    padding: unset;
  }
  #headertext {
    font-size: 2.5rem;
  }
  .hamburger {
    display: flex;
    width: 100%;
    align-items: flex-end;
    justify-content: end;
    padding-right: 20px;
  }
  .hamburger input:active {
    filter: opacity(70%);
  }

  .section1 {
    grid-template-columns: 1fr;
    text-align: center;
    align-items: flex-start;
  }
  #img1 {
    background-image: url(./images/mobile/image-transform.jpg);
    order: -1;
    width: 100vw;
    height: 300px;
  }
  #img2 {
    background-image: url(./images/mobile/image-stand-out.jpg);
    width: 100vw;
    height: 300px;
  }

  .section2 {
    grid-template-columns: 1fr;
  }
  #photography p,
  #graphic-design p {
    width: 80%;
    font-size: 1.2rem;
    font-weight: 600;
    text-align: center;
  }

  .section3 .sectionheader {
    font-size: 1.5rem;
  }

  .client {
    flex-direction: column;
    justify-content: space-between;
    gap: 80px;
    font-weight: 600;
  }
  .comments {
    height: unset;
    line-height: 1.8;
  }
  .client.a,
  .client.b,
  .client.c {
    justify-content: center;
    gap: 15px;
  }

  .img-div {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
  }
  .section4 img {
    width: 100%;
  }

  #mobilemenu {
    z-index: 1;
    position: absolute;
    top: 12%;
    color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 85%;
    height: 50vh;
    transform-origin: top right;
  }
  .menulist {
    background-color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
    justify-content: space-evenly;
    gap: 10px;
    width: 100%;
    list-style: none;
    text-align: center;
    height: 100%;
    min-height: 312px;
    max-height: 320px;
    border-radius: 5px 0 5px 5px;
  }
  .listitem a {
    text-decoration: none;
    color: grey;
    font-weight: 600;
  }
  #contact a {
    background-color: hsl(51, 100%, 49%);
    text-transform: uppercase;
    font-family: "Fraunces";
    font-size: 0.9rem;
    padding: 20px;
  }
  #contact a:hover {
    background-color: hsl(51, 82%, 67%);
    color: unset;
  }
  #triangle {
    width: 0;
    height: 0;
    border-bottom: 20px solid rgb(255, 255, 255);
    border-left: 20px solid transparent;
    align-self: flex-end;
  }
}
